Skip to main content

🔢 Numbers

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate different kinds of numbers. Returns an array of properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get numeric mockdata.

Get numeric mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/numbers
Accept: application/json

Response​

Example​

JSON
[
{
"binary": "0",
"float": 0.5515858614817262,
"hex": "e",
"int": 8414578299895808,
"octal": "5"
}
]

Binary​

JSONPower Automate
binaryBinary

Returns a binary number. For example: 0.

Return datatype: string

Float​

JSONPower Automate
floatFloat

Returns a floating point number. For example: 0.5515858614817262.

Return datatype: number

Hexadecimal​

JSONPower Automate
hexHexadecimal

Returns a hexadecimal number. For example: e.

Return datatype: string

Integer​

JSONPower Automate
intInteger

Returns an integer number. For example: 8414578299895808.

Return datatype: number

Octal​

JSONPower Automate
octalOctal

Returns an octal number. For example: 5.

Return datatype: string

For finance related data, see 💶 Finances endpoint.